After searching a lot and wasting time on other videos, at last, found this where you nicely explained why we need PriorityQueue and exactly why this is the best solution. Thanks.
Can we use 2 pointers instead of a priority queue in the sorted intervals, ( we can maintain a counter which keeps on incrementing as long as we are having clashed meetings consecutively, else re initialize it with 1 while iterating in the intervals array )?
After searching a lot and wasting time on other videos, at last, found this where you nicely explained why we need PriorityQueue and exactly why this is the best solution. Thanks.
✅ Useful Links
𝐈𝐧𝐬𝐭𝐚𝐠𝐫𝐚𝐦 - instagram.com/codingwithprakash/
𝐖𝐡𝐚𝐭𝐬𝐀𝐩𝐩𝐂𝐡𝐚𝐧𝐧𝐞𝐥 - whatsapp.com/channel/0029VaACtTa4tRrpDCQc5f44
𝐋𝐢𝐧𝐤𝐞𝐝𝐢𝐧 - www.linkedin.com/in/prakash-shukla/
Great explanation.
Amazing explanation!
Nice explanation. Thanks.
Thank you very much, Sir..
Just a suggestion, please also demonstrate the dry run of the code with an example.
Okay
Can we use 2 pointers instead of a priority queue in the sorted intervals, ( we can maintain a counter which keeps on incrementing as long as we are having clashed meetings consecutively, else re initialize it with 1 while iterating in the intervals array )?
will it be handle all scenarios and test cases ?
Thanks a lot for the best explanation on internet.
You are most welcome
Best video for this ques
Just amazing!
Nice Explanation
excellent explanation thank you
You are welcome!
good logic boy.Use a heap and return len of heap at the end.
Please do some dry run of the code with examples🙏🙏
Hi @Prakash, How can i find which room used maximum time
nice explaination...
tnx 😊
keep going
In the link for InterviewBit and LC Google sheet I can only see LC solutions links. Can you please check
I make 90 percentage videos of LC and 10 percentage from other portals
Great explanation.